curl --request GET \
--url https://www.ruddr.io/api/workspace/allocations \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/allocations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/allocations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/allocations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/allocations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/allocations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "3f8a1d2e-7c4b-4e9f-a6d5-1b2c3d4e5f6a",
"resourceTypeId": "member",
"assignmentTypeId": "project",
"start": "2025-03-01",
"end": "2025-05-31",
"unit": "day",
"hoursPerDay": 6.5,
"hoursPerWeek": null,
"hoursPerMonth": null,
"hoursPerAllocation": null,
"hoursRatioOfCapacity": null,
"allocateOnTimeOffDays": false,
"totalHours": 422.5,
"isBillable": true,
"bookingTypeId": "confirmed",
"notes": "Q2 product roadmap delivery",
"readOnly": false,
"entity": "allocation",
"createdAt": "2025-01-10T14:22:35.418Z",
"modifiedAt": "2025-01-31T14:22:35.418Z",
"member": {
"id": "9b7e6d5c-4a3f-4b2e-8c1d-0e9f8a7b6c5d",
"name": "Jane Smith"
},
"placeholder": null,
"project": {
"id": "c2d3e4f5-a6b7-4c8d-9e0f-1a2b3c4d5e6f",
"name": "Website Redesign",
"client": {
"id": "7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d",
"name": "Acme Corp"
}
},
"role": {
"id": "d4e5f6a7-b8c9-4d0e-af1b-2c3d4e5f6a7b",
"name": "Senior Engineer"
},
"task": {
"id": "e5f6a7b8-c9d0-4e1f-b2a3-4c5d6e7f8a9b",
"name": "Backend Development"
},
"timeOffType": null
}
],
"hasMore": false
}{
"status": 400,
"message": "Parameter 'startingAfter' is not a valid UUID."
}{
"status": 403,
"message": "Feature 'Resource Allocations' is not enabled."
}List allocations
curl --request GET \
--url https://www.ruddr.io/api/workspace/allocations \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/allocations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/allocations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/allocations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/allocations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/allocations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "3f8a1d2e-7c4b-4e9f-a6d5-1b2c3d4e5f6a",
"resourceTypeId": "member",
"assignmentTypeId": "project",
"start": "2025-03-01",
"end": "2025-05-31",
"unit": "day",
"hoursPerDay": 6.5,
"hoursPerWeek": null,
"hoursPerMonth": null,
"hoursPerAllocation": null,
"hoursRatioOfCapacity": null,
"allocateOnTimeOffDays": false,
"totalHours": 422.5,
"isBillable": true,
"bookingTypeId": "confirmed",
"notes": "Q2 product roadmap delivery",
"readOnly": false,
"entity": "allocation",
"createdAt": "2025-01-10T14:22:35.418Z",
"modifiedAt": "2025-01-31T14:22:35.418Z",
"member": {
"id": "9b7e6d5c-4a3f-4b2e-8c1d-0e9f8a7b6c5d",
"name": "Jane Smith"
},
"placeholder": null,
"project": {
"id": "c2d3e4f5-a6b7-4c8d-9e0f-1a2b3c4d5e6f",
"name": "Website Redesign",
"client": {
"id": "7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d",
"name": "Acme Corp"
}
},
"role": {
"id": "d4e5f6a7-b8c9-4d0e-af1b-2c3d4e5f6a7b",
"name": "Senior Engineer"
},
"task": {
"id": "e5f6a7b8-c9d0-4e1f-b2a3-4c5d6e7f8a9b",
"name": "Backend Development"
},
"timeOffType": null
}
],
"hasMore": false
}{
"status": 400,
"message": "Parameter 'startingAfter' is not a valid UUID."
}{
"status": 403,
"message": "Feature 'Resource Allocations' is not enabled."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.
A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.
The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.
A filter on the list based on the allocation's modifiedAt field. Accepts an ISO 8601 date or datetime. This will match timestamps after (>) the value specified.
A filter on the list based on the allocation's modifiedAt field. Accepts an ISO 8601 date or datetime. This will match timestamps on and after (>=) the value specified.
A filter on the list based on the allocation's modifiedAt field. Accepts an ISO 8601 date or datetime. This will match timestamps before (<) the value specified.
A filter on the list based on the allocation's modifiedAt field. Accepts an ISO 8601 date or datetime. This will match timestamps on and before (<=) the value specified.
Filter by the assignment type of the allocation. Can be either "project" (Project) or "time_off" (Time Off).
project, time_off A member ID (uuid) used to filter allocations for a specific member.
A project ID (uuid) used to filter allocations for a specific project.
A filter on the list based on the allocation's start field in the format YYYY-MM-DD. This will match dates before (<) the date specified.
A filter on the list based on the allocation's start field in the format YYYY-MM-DD. This will match dates on and before (<=) the date specified.
A filter on the list based on the allocation's end field in the format YYYY-MM-DD. This will match dates after (>) the date specified.
A filter on the list based on the allocation's end field in the format YYYY-MM-DD. This will match dates on and after (>=) the date specified.